<template>
	<section class="settings_main p-3">
		<div class="settings_content pr-3">
			<div class="settings_content_inr base_block">
				<div class="p-3">
					<div class="d-flex justify-content-end mb-3">
						<button type="button" class="btn login_main_sign_btn settings_aside_btn" data-toggle="modal" data-target="#groupModal" v-if="can('settings_group', 'Edit')">
							{{$store.state.locale.addGroup}}
						</button>
					</div>
					<div class="table-responsive settings_content_tb">
						<table class="table table-striped table-hover">
							<thead>
							<tr>
								<th scope="col">Id</th>
								<th scope="col">{{$store.state.locale.groupName}}</th>
								<th scope="col">{{$store.state.locale.users}}</th>
								<th scope="col" class="w-40"></th>
							</tr>
							</thead>
							<tbody>
							<tr v-for="group in groups">
								<td>{{group.id}}</td>
								<td>{{group.name}}</td>
								<td>{{group.numberOfUsers}} users</td>
								<td>
									<div class="btn-group">
										<button type="button" class="icon-btn" @click="getUsers(group)">
											<i class="mdi mdi-eye"></i>
										</button>

										<button type="button"
												class="icon-btn"
												data-toggle="modal"
												data-target="#groupModal"
												@click="setGroupData(group)"
												v-if="can('settings_group', 'Edit')"
										>
											<i class="mdi mdi-pencil"></i>
										</button>
										<button type="button"
												class="icon-btn"
												data-toggle="modal"
												data-target="#groupDeleteModal"
												@click="deleteGroupState = group"
												v-if="can('settings_group', 'Edit')"
										>
											<i class="mdi mdi-delete text-danger"></i>
										</button>
									</div>
								</td>
							</tr>
							</tbody>
						</table>
					</div>
				</div>

			</div>
		</div>


		<div class="settings_aside" v-if="id">
			<div class="settings_aside_inr base_block">
				<div class="settings_aside_hd">
					<div class="txt">{{group.name}}</div>
				</div>

				<div class="settings_aside_bd">
					<div class="settings_aside_user">
						<ul class="settings_aside_user_ls">
							<li v-for="user in users">
								<div class="txt">{{user.name}}</div>

								<button type="button"
										class="settings_btn_delete"
										@click="deleteUserState = user"
										data-toggle="modal"
										data-target="#userDeleteModal"
										v-if="can('settings_group', 'Edit')"
								>
									<i class="mdi mdi-delete"></i>
								</button>
							</li>
						</ul>
					</div>
				</div>

				<div class="settings_aside_ft" v-if="can('settings_group', 'Edit')">
					<button type="button" class="btn login_main_sign_btn settings_aside_btn" data-toggle="modal" data-target="#usersModal">Add user</button>
				</div>
			</div>
		</div>


		<div class="modal fade" id="groupModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100" id="exampleModalLabel">{{$store.state.locale.addGroup}}</h5>
					</div>
					<div class="modal-body">
						<form @submit.prevent="saveGroup">
							<div class="form-group">
								<label for="digits" class="col-form-label">{{$store.state.locale.groupName}}</label>
								<input type="text" class="form-control" id="digits" placeholder="name" v-model="groupForm.name" required>
							</div>
							<button type="submit" class="fn_btn btn_fn_success mt-3 w-100 m-0">{{$store.state.locale.save}}</button>
						</form>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="groupDeleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100">Delete group</h5>
					</div>
					<div class="modal-body">
						<p>Are you sure to delete '{{deleteGroupState ? deleteGroupState.name : ""}}'</p>
						<button type="submit" class="fn_btn btn_fn_danger mt-3 w-100 m-0" @click="deleteGroup">Delete</button>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="userDeleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100">Delete user</h5>
					</div>
					<div class="modal-body">
						<p>Are you sure to delete '{{deleteUserState ? deleteUserState.name : ""}}'</p>
						<button type="submit" class="fn_btn btn_fn_danger mt-3 w-100 m-0" @click="deleteUser">Delete</button>
					</div>
				</div>
			</div>
		</div>

		<div class="modal fade" id="usersModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog fn_ivr_modal" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title d-flex justify-content-center w-100" id="usersModalLabel">Add users</h5>
					</div>
					<div class="modal-header">
						<div class="input-group fn_group">
							<input type="text" class="form-control" placeholder="Search" aria-label="Username" aria-describedby="basic-addon1" @keyup="filterUsers" v-model="usersSearch">
							<div class="input-group-append">
								<span class="input-group-text" id="basic-addon1">
									<i class="mdi mdi-magnify"></i>
								</span>
							</div>
						</div>
					</div>
					<div class="modal-body" v-if="filteredUsers.length > 0">
						<form @submit.prevent="saveUsers">
							<div class="custom-control custom-checkbox" v-for="user in filteredUsers">
								<input type="checkbox" class="custom-control-input" :id="'customCheck' + user.id" :value="user.id" @change="appendToForm(user)">
								<label class="custom-control-label" :for="'customCheck' + user.id">{{user.fio}}</label>
							</div>
							<button type="submit" class="fn_btn btn_fn_success mt-3 w-100 m-0" @click="saveUsers" data-dismiss="modal">Save</button>
						</form>
					</div>
					<div class="modal-body" v-else>
						No users
					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<script src="./script.js"></script>

<style scoped></style>

